// scripts for IARrific - nicktech.org

// show/hide IAR/DLM stuff
$j('#AltAssessmentIndicator').on('change', function(){
    if($j(this).val() === '01') {
        $j('.parccrow').fadeOut();
        $j('#DLM_AA_OLD').val('1');
    } else {
        $j('.parccrow').fadeIn();
        $j('#DLM_AA_OLD').val('0');
    }
});

function PARCCvalAll() {
   $j('.parccVal').each(function() {
      validateElement($j(this));
   });
   return "";
}

function tableStripe() {
    $j('#content-main table:not(.ieptable) tr:visible:even td').css("background-color", "white");
    $j('#content-main table:not(.ieptable) tr:visible:odd td').css("background-color", "#eee");
 }

// *** start PS validation

var iep_504 = "";
if ($j('.il_iep:contains("Yes")').length > 0 || $j('.il_504:contains("Yes")').length > 0) {
    iep_504 = "yes"
} else {
    iep_504 = "no"
}
    
// Alt representation-paper, large print, answers recorded in test book
function ela_paper_iep_radio(jQueryInput) {
   if ($j(jQueryInput).is(':checked') && ($j('#PARCC_ELA_Test_Format').val() !== 'P' || iep_504 === "no")) {
       return "Requires ELA Test Format be paper<br>and IEP or 504";
   }
}
function math_paper_iep_radio(jQueryInput) {
   if ($j(jQueryInput).is(':checked') && ($j('#PARCC_Math_Test_Format').val() !== 'P' || iep_504 === "no")) {
       return "Requires Math Test Format be paper<br>and IEP or 504";
   }
}
function science_paper_iep_radio(jQueryInput) {
   if ($j(jQueryInput).is(':checked') && (!$j('#IAR_Sci_Paper_Trans_yes').is(':checked') || iep_504 === "no")) {
       return "Requires Science Paper Transcription be Yes<br>and IEP or 504";
   }
}
// Spanish Transadaptation of the Mathematics Assessment and Science
function math_transSpanish(jQueryInput) {
   if ($j(jQueryInput).is(':checked') && (($j('.il_lep:contains("No")').length > 0 && $j('.dual_lang:contains("No")').length > 0) || $j('#PARCC_Math_ASL_Video_yes').is(':checked') || $j('#PARCC_Math_Screen_Read_App').val() == '05' || $j('#PARCC_Math_Screen_Read_App').val() == '06' || (["12", "13", "14", "15"].indexOf($j('#PARCC_Math_Text_To_Speech').val()) > -1))) {
      return "Requires LEP or Dual Language, no ASL Video<br>no Screen Reader, no Text-to-Speech";
   }
}
function science_transSpanish(jQueryInput) {
   if ($j(jQueryInput).is(':checked') && (($j('.il_lep:contains("No")').length > 0 && $j('.dual_lang:contains("No")').length > 0) || (["01", "02"].indexOf($j('#IAR_Sci_Assistive_Tech').val()) > -1) || (["02", "03", "04", "05"].indexOf($j('#IAR_Sci_TexTo_Speech').val()) > -1))) {
      return "Requires LEP or Dual Language, no ASL Video<br>no Screen Reader, no Text-to-Speech";
   }
}

// Color contrast
function ela_colorContrast(jQueryInput) {
   if ($j(jQueryInput).val() == '07' && $j('#PARCC_ELA_Test_Format').val() !== 'P') {
      return "Color overlay requires<br>ELA Test Format be paper";
   } else if ((["01", "02", "03", "04", "05", "06"].indexOf($j(jQueryInput).val()) > -1) && $j('#PARCC_ELA_Test_Format').val() == 'P') {
      return "Color contrast 1-6 requires<br>ELA Test Format be online/blank";    
   }
}
function math_colorContrast(jQueryInput) {
   if ($j(jQueryInput).val() == '07' && $j('#PARCC_Math_Test_Format').val() !== 'P') {
      return "Color overlay requires<br>Math Test Format be paper";
   } else if ((["01", "02", "03", "04", "05", "06"].indexOf($j(jQueryInput).val()) > -1) && $j('#PARCC_Math_Test_Format').val() == 'P') {
      return "Color contrast 1-6 requires<br>Math Test Format be online/blank";    
   }
}
function science_colorContrast(jQueryInput) {
   if ($j(jQueryInput).val() == '07' && !$j('#IAR_Sci_Paper_Trans_yes').is(':checked')) {
      return "Color overlay requires<br>Science Paper Transcription be Yes";
   } else if ((["01", "02", "03", "04", "05", "06"].indexOf($j(jQueryInput).val()) > -1) && $j('#IAR_Sci_Paper_Trans_yes').is(':checked')) {
      return "Color contrast 1-6 requires<br>Science Paper Transcription be No";    
   }
}
// text-to-speech
function ela_textSpeech(jQueryInput) {
   if (
        $j(jQueryInput).val() == '11' && (
            $j('#PARCC_ELA_Test_Format').val() == 'P' || 
            iep_504 === "no" || 
            $j('#PARCC_ELA_ASL_Video_yes').is(':checked') || 
            $j('#PARCC_ELA_Screen_Reader_App').val() == '05' || 
            $j('#PARCC_ELA_Screen_Reader_App').val() == '06' || 
            $j('#PARCC_ELA_Closed_Caption_yes').is(':checked') || 
            $j('#PARCC_ELA_Braille_Display_yes').is(':checked') || 
            $j('#PARCC_ELA_Human_Reader').val() == '03' || 
            $j('#PARCC_ELA_Human_Reader').val() == '04'
        )
    ) {
      return "Requires ELA Test Format online/blank<br>IEP or 504<br>no ASL Video<br>no Screen Reader<br>no Closed Captioning<br>no Refreshable Braille<br>no Human Signer/Reader";
   }
}
function math_textSpeech(jQueryInput) {
   if (
        (["12", "13"].indexOf($j(jQueryInput).val()) > -1) && 
        (
            $j('#PARCC_Math_Test_Format').val() == 'P' || 
            $j('#PARCC_Math_ASL_Video_yes').is(':checked') || 
            $j('#PARCC_Math_Screen_Read_App').val() == '05' || 
            $j('#PARCC_Math_Screen_Read_App').val() == '06' ||  
            $j('#PARCC_Math_Human_Reader').val() == '03' || 
            $j('#PARCC_Math_Human_Reader').val() == '04' || 
            $j('#PARCC_Math_Translate_Spa').is(':checked')
        )
    ) {
      return "Requires Math Test Format online/blank<br>no ASL Video<br>no Screen Reader<br>no Human Signer/Reader<br>no Spanish Transadaptation";
   } else if (
        (["14", "15"].indexOf($j(jQueryInput).val()) > -1) && 
        (
            $j('#PARCC_Math_Test_Format').val() == 'P' || 
            ($j('.il_lep:contains("No")').length > 0 && $j('.dual_lang:contains("No")').length > 0) || 
            $j('#PARCC_Math_ASL_Video_yes').is(':checked') || 
            $j('#PARCC_Math_Screen_Read_App').val() == '05' || 
            $j('#PARCC_Math_Screen_Read_App').val() == '06' ||  
            $j('#PARCC_Math_Human_Reader').val() == '03' || 
            $j('#PARCC_Math_Human_Reader').val() == '04' || 
            $j('#PARCC_Math_Translate_Spa').is(':checked')
        )
    ) {
      return "Requires Math Test Format online/blank<br>LEP Indicator or Dual Language<br>no ASL Video<br>no Screen Reader<br>no Human Signer/Reader<br>no Spanish Transadaptation";
   }
}
function science_textSpeech(jQueryInput) {
   if (
        (["02", "03"].indexOf($j(jQueryInput).val()) > -1) && 
        (
            $j('#IAR_Sci_Paper_Trans_yes').is(':checked') || 
            $j('#IAR_Sci_Assistive_Tech').val() == '01' || 
            $j('#IAR_Sci_Assistive_Tech').val() == '02' ||  
            $j('#IAR_Sci_Assistive_Tech').val() == '03' ||  
            $j('#IAR_Sci_Human_Reader').val() == '01' || 
            $j('#IAR_Sci_Human_Reader').val() == '02' || 
            $j('#IAR_Sci_Spanish_Transadap_yes').is(':checked')
        )
    ) {
      return "Requires Science Paper Transcription be No<br>no ASL Video<br>no Screen Reader<br>no Human Signer/Reader<br>no Spanish Transadaptation";
   } else if (
        (["04", "05"].indexOf($j(jQueryInput).val()) > -1) && 
        (
            $j('#IAR_Sci_Paper_Trans_yes').is(':checked') || 
            ($j('.il_lep:contains("No")').length > 0 && $j('.dual_lang:contains("No")').length > 0) || 
            $j('#IAR_Sci_Assistive_Tech').val() == '01' || 
            $j('#IAR_Sci_Assistive_Tech').val() == '02' ||  
            $j('#IAR_Sci_Assistive_Tech').val() == '03' ||  
            $j('#IAR_Sci_Human_Reader').val() == '01' || 
            $j('#IAR_Sci_Human_Reader').val() == '02' || 
            $j('#IAR_Sci_Spanish_Transadap_yes').is(':checked')
        )
    ) {
      return "Requires Science Paper Transcription be No<br>LEP Indicator or Dual Language<br>no ASL Video<br>no Screen Reader<br>no Human Signer/Reader<br>no Spanish Transadaptation";
   }
}
// human signer or reader
function ela_humanReader(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '03' || $j(jQueryInput).val() == '04') && 
        (
            iep_504 === "no" || 
            $j('#PARCC_ELA_ASL_Video_yes').is(':checked') || 
            $j('#PARCC_ELA_Screen_Reader_App').val() == '05' || 
            $j('#PARCC_ELA_Screen_Reader_App').val() == '06' || 
            $j('#PARCC_ELA_Closed_Caption_yes').is(':checked') || 
            $j('#PARCC_ELA_Braille_Display_yes').is(':checked') || 
            $j('#PARCC_ELA_Text_To_Speech').val() == '11'
        )
    ) {
        $j('#ela_readAloud_note').hide();
      return "Requires IEP or 504<br>no ASL Video<br>no Screen Reader<br>no Closed Captioning<br>no Refreshable Braille<br>no Text-to-Speech";
    } else if ($j(jQueryInput).val() == '03' || $j(jQueryInput).val() == '04') {
        $j('#ela_readAloud_note').fadeIn();
    } else {
        $j('#ela_readAloud_note').hide();
   }
}
function math_humanReader(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '03' || $j(jQueryInput).val() == '04') && 
        (
            $j('#PARCC_Math_ASL_Video_yes').is(':checked') || 
            $j('#PARCC_Math_Screen_Read_App').val() == '05' || 
            $j('#PARCC_Math_Screen_Read_App').val() == '06' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '12' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '13' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '14' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '15'
        )
    ) {
        $j('#math_readAloud_note').hide();
      return "no ASL Video<br>no Screen Reader<br>no Text-to-Speech";
    } else if ($j(jQueryInput).val() == '03' || $j(jQueryInput).val() == '04') {
        $j('#math_readAloud_note').fadeIn();
    } else {
        $j('#math_readAloud_note').hide();
   }
}
function science_humanReader(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '01' || $j(jQueryInput).val() == '02') && 
        (
            $j('#IAR_Sci_Assistive_Tech').val() == '01' || 
            $j('#IAR_Sci_Assistive_Tech').val() == '02' || 
            $j('#IAR_Sci_Assistive_Tech').val() == '03' || 
            $j('#IAR_Sci_TexTo_Speech').val() == '02' || 
            $j('#IAR_Sci_TexTo_Speech').val() == '03' || 
            $j('#IAR_Sci_TexTo_Speech').val() == '04' || 
            $j('#IAR_Sci_TexTo_Speech').val() == '05'
        )
    ) {
        $j('#sci_readAloud_note').hide();
      return "no ASL Video<br>no Screen Reader<br>no Text-to-Speech";
   } else if ($j(jQueryInput).val() == '01' || $j(jQueryInput).val() == '02') {
        $j('#sci_readAloud_note').fadeIn();
   } else {
        $j('#sci_readAloud_note').hide();
   }
}
// asl video
function ela_asl(jQueryInput) {
   if (
        $j(jQueryInput).is(':checked') && 
        (
            iep_504 === "no" || 
            $j('#PARCC_ELA_Test_Format').val() == 'P' || 
            $j('#PARCC_ELA_Screen_Reader_App').val() == '05' || 
            $j('#PARCC_ELA_Screen_Reader_App').val() == '06' || 
            $j('#PARCC_ELA_Closed_Caption_yes').is(':checked') || 
            $j('#PARCC_ELA_Text_To_Speech').val() == '11' || 
            $j('#PARCC_ELA_Human_Reader').val() == '03' || 
            $j('#PARCC_ELA_Human_Reader').val() == '04'
        )
    ) {
      return "Requires Test Format online/blank<br>IEP or 504<br>no Screen Reader<br>no Closed Captioning<br>no Text-to-Speech<br>no Human Reader";
   }
}
function math_asl(jQueryInput) {
   if (
        $j(jQueryInput).is(':checked') && 
        (
            iep_504 === "no" || 
            $j('#PARCC_Math_Test_Format').val() == 'P' || 
            $j('#PARCC_Math_Screen_Read_App').val() == '05' || 
            $j('#PARCC_Math_Screen_Read_App').val() == '06' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '12' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '13' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '14' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '15' ||
            $j('#PARCC_Math_Human_Reader').val() == '03' || 
            $j('#PARCC_Math_Human_Reader').val() == '04' || 
            $j('#PARCC_Math_Translate_Spa').val() == '01'
        )
    ) {
      return "Requires Test Format online/blank<br>IEP or 504<br>no Screen Reader<br>no Text-to-Speech<br>no Human Reader<br>no Math Translation Spanish";
   }
}
// screen reader
function ela_assistTech(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '05' || $j(jQueryInput).val() == '06') && 
        (
            iep_504 === "no" || 
            $j('#PARCC_ELA_Test_Format').val() == 'P' || 
            $j('#PARCC_ELA_ASL_Video_yes').is(':checked') || 
            $j('#PARCC_ELA_Closed_Caption_yes').is(':checked') || 
            $j('#PARCC_ELA_Text_To_Speech').val() == '11' || 
            $j('#PARCC_ELA_Human_Reader').val() == '03' || 
            $j('#PARCC_ELA_Human_Reader').val() == '04'
        )
    ) {
      return "Requires Test Format online/blank<br>IEP or 504<br>no ASL Video<br>no Closed Captioning<br>no Text-to-Speech<br>no Human Reader";
   }
}
function math_assistTech(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '05' || $j(jQueryInput).val() == '06') && 
        (
            iep_504 === "no" || 
            $j('#PARCC_Math_Test_Format').val() == 'P' || 
            $j('#PARCC_Math_ASL_Video_yes').is(':checked') || 
            $j('#PARCC_Math_Text_To_Speech').val() == '12' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '13' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '14' || 
            $j('#PARCC_Math_Text_To_Speech').val() == '15' ||
            $j('#PARCC_Math_Human_Reader').val() == '03' || 
            $j('#PARCC_Math_Human_Reader').val() == '04' || 
            $j('#PARCC_Math_Translate_Spa').val() == '01'
        )
    ) {
      return "Requires Test Format online/blank<br>IEP or 504<br>no ASL Video<br>no Text-to-Speech<br>no Human Reader<br>no Math Translation Spanish";
   }
}
// ASL screen reader for science
function science_assistTech(jQueryInput) {
    if (
         ($j(jQueryInput).val() == '02' || $j(jQueryInput).val() == '03' || $j(jQueryInput).val() == '01') && 
         (
            iep_504 === "no" || 
            $j('#IAR_Sci_Paper_Trans_yes').is(':checked') || 
            $j('#IAR_Sci_TexTo_Speech').val() == '02' || 
            $j('#IAR_Sci_TexTo_Speech').val() == '03' || 
            $j('#IAR_Sci_TexTo_Speech').val() == '04' || 
            $j('#IAR_Sci_TexTo_Speech').val() == '05' ||
            $j('#IAR_Sci_Human_Reader').val() == '01' || 
            $j('#IAR_Sci_Human_Reader').val() == '02' || 
            $j('#IAR_Sci_Spanish_Transadap_yes').is(':checked')
         )
     ) {
       return "Requires Science Paper Transcription be No<br>IEP or 504<br>no Text-to-Speech<br>no Human Reader<br>no Translation Spanish";
    }
 }
// closed captioning
function ela_closedCap(jQueryInput) {
   if (
        $j(jQueryInput).is(':checked') && 
        (
            iep_504 === "no" || 
            $j('#PARCC_ELA_Test_Format').val() == 'P' || 
            $j('#PARCC_ELA_ASL_Video_yes').is(':checked') || 
            $j('#PARCC_ELA_Text_To_Speech').val() == '11' || 
            $j('#PARCC_ELA_Human_Reader').val() == '03' || 
            $j('#PARCC_ELA_Human_Reader').val() == '04' || 
            $j('#PARCC_ELA_Screen_Reader_App').val() == '05' || 
            $j('#PARCC_ELA_Screen_Reader_App').val() == '06'
        )
    ) {
      return "Requires Test Format online/blank<br>IEP or 504<br>no ASL Video<br>no Screen Reader<br>no Text-to-Speech<br>no Human Reader";
   }
}
// refreshable braille
function ela_refreshBraille(jQueryInput) {
   if (
        $j(jQueryInput).is(':checked') && 
        (
            $j('#PARCC_ELA_Test_Format').val() == 'P' || 
            iep_504 === "no" || 
            $j('#PARCC_ELA_Screen_Reader_App').val() !== '05'
        )
    ) {
       return "Requires ELA Test Format be online/blank<br>IEP or 504<br>Assistive Technology Screen Reader must be 05";
   }
}
// brialle response
function brailleRes(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '01' || $j(jQueryInput).val() == '02' ) && iep_504 === "no"
    ) {
       return "Requires IEP or 504";
   }
}
// braille with tactile graphics
function ela_brailleTac(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '11' || $j(jQueryInput).val() == '12' ) && 
        (
            iep_504 === "no" || 
            $j('#PARCC_ELA_Test_Format').val() !== 'P' || 
            $j('#PARCC_ELA_Large_Print_yes').is(':checked')
        )
    ) {
       return "Requires ELA Test Format paper<br>IEP or 504<br>no Large Print";
   }
}
function math_brailleTac(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '11' || $j(jQueryInput).val() == '12' ) && 
        (
            iep_504 === "no" || 
            $j('#PARCC_Math_Test_Format').val() !== 'P' || 
            $j('#PARCC_Math_Large_Print_yes').is(':checked')
        )
    ) {
       return "Requires Math Test Format paper<br>IEP or 504<br>no Large Print";
   }
}
function science_brailleTac(jQueryInput) {
   if (
        ($j(jQueryInput).val() == '11' || $j(jQueryInput).val() == '12' ) && 
        (
            iep_504 === "no" || 
            $j('#IAR_Sci_Large_Print_yes').is(':checked')
        )
    ) {
       return "Requires Science Paper Transcription be Yes<br>IEP or 504<br>no Large Print";
   }
}
// calculation device
function math_calc(jQueryInput) {
   if (
        (["03", "04", "05"].indexOf($j(jQueryInput).val()) > -1) && iep_504 === "no"
    ) {
       return "Requires IEP or 504";
   }
}
// ELA constructed response, ELA selected response, Math/Science response
function select_response(jQueryInput) {
   if (
        (["01", "02", "03", "04"].indexOf($j(jQueryInput).val()) > -1) && iep_504 === "no"
    ) {
       return "Requires IEP or 504";
   }
}
// ELA_Extensions
function ela_extensions(jQueryInput) {
   if (
        $j(jQueryInput).is(':checked') && 
        (
            $j('#PARCC_ELA_Test_Format').val() == 'P' || 
            iep_504 === "no" || $j('#PARCC_ELA_Screen_Reader_App').val() !== '06'
        )
    ) {
       return "Requires ELA Test Format be online/blank<br>IEP or 504<br>Assistive Technology Screen Reader/Non-Screen Reader must be 06";
   }
}
// monitor test response, word prediction, Human Signer for Test Directions
function iep_radio(jQueryInput) {
   if (
        $j(jQueryInput).is(':checked') && iep_504 === "no"
    ) {
       return "Requires IEP or 504";
   }
}
// Unique Accommodation
function iep_lep_radio(jQueryInput) {
    var iep_504_lep = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('.il_504:contains("Yes")').length > 0 || $j('.il_lep:contains("Yes")').length > 0) {
        var iep_504_lep = "yes"
    } else {
       var iep_504_lep = "no"
    }
   if ($j(jQueryInput).is(':checked') && iep_504_lep === "no") {
       return "Requires IEP, LEP or 504";
   }
}
// mathmatics/science response EL
function response_el(jQueryInput) {
   if (($j(jQueryInput).val() === '01' || $j(jQueryInput).val() === '02') && $j('.il_lep:contains("No")').length > 0) {
       return "Requires LEP";
   }
}
// Administration Directions Read Aloud in Students Native Language
function ela_admin_native(jQueryInput) {
   if ($j(jQueryInput).val() !== '' && $j('.il_lep:contains("No")').length > 0) {
       $j('#ela_admin_native_message').show();
       return "Requires LEP";
   } else {
        $j('#ela_admin_native_message').hide();
   }
}
function math_admin_native(jQueryInput) {
   if ($j(jQueryInput).val() !== '' && $j('.il_lep:contains("No")').length > 0) {
       $j('#math_admin_native_message').show();
       return "Requires LEP";
   } else {
        $j('#math_admin_native_message').hide();
   }
}
function science_admin_native(jQueryInput) {
   if ($j(jQueryInput).val() !== '' && $j('.il_lep:contains("No")').length > 0) {
       return "Requires LEP"; // don't ask me why this works for science but not ELA/math 
   } 
}
// word to word dictionary or Administration Directions Clarified in Students Native Language
function radio_lep(jQueryInput) {
   if ($j(jQueryInput).is(':checked') && $j('.il_lep:contains("No")').length > 0) {
       return "Requires LEP";
   }
}
// extended time
function extended_time(jQueryInput) {
    var iep_504_lep = ""
    if (($j('.il_iep:contains("Yes")').length > 0 || $j('.il_504:contains("Yes")').length > 0) && $j('.il_lep:contains("Yes")').length > 0) {
        var iep_504_lep = "yes"
    } else {
       var iep_504_lep = "no"
    }
   if ($j(jQueryInput).val() == '01' && $j('.il_lep:contains("No")').length > 0) {
       return "01 requires LEP";
   } else if ($j(jQueryInput).val() == '02' && iep_504 === "no") {
       return "02 requires IEP or 504";       
   } else if ($j(jQueryInput).val() == '03' && iep_504_lep === "no") {
       return "03 requires IEP or 504 and LEP";       
   }
}
// *** end PS validation

// runs at page submit to clear fields if their containing div is hidden
  function clear_hidden() {
	if(!$j("#ela_accommodations").is(':checked')){
		$j("#ela_div").children().find("input,select").each(function(){
   			$j(this).val('');
		});
	}
	if(!$j("#math_accommodations").is(':checked')) {
		$j("#math_div").children().find("input,select").each(function(){
   			$j(this).val('');
		});
	}
	if(!$j("#science_accommodations").is(':checked')) {
		$j("#science_div").children().find("input,select").each(function(){
   			$j(this).val('');
		});
	}
  }
$j('#myform').submit(clear_hidden);

// runs at page load
$j(function() {
    tableStripe();
// trigger show/hide IAR/DLM
    $j('#AltAssessmentIndicator').trigger('change');
// determine if values exist from other state page and if so check parent box and alert
        var elaradio = 0;
        var eladropdown = 0;
        var elatotal = 0;
        var mathradio = 0;
        var mathdropdown = 0;
        var mathtotal = 0;
        var scienceradio = 0;
        var sciencedropdown = 0;
        var sciencetotal = 0;
    $j("#ela_div input.radioYes:checked").each(function(){     
          elaradio+= Number($j(this).val());
    })
    $j("#ela_div select").each(function(){     
          eladropdown+= Number($j(this).val());
    })
        var elatotal = elaradio + eladropdown;
    if(elatotal > 0 && (!$j('#ela_accommodations').is(':checked'))) {
        $j('#ela_accommodations').prop('checked', true);
        $j('#ela_div_message').show();
    }
    $j("#math_div input.radioYes:checked").each(function(){     
          mathradio+= Number($j(this).val());
    })
    $j("#math_div select").each(function(){     
          mathdropdown+= Number($j(this).val());
    })
        var mathtotal = mathradio + mathdropdown;
    if(mathtotal > 0 && (!$j('#math_accommodations').is(':checked'))) {
        $j('#math_accommodations').prop('checked', true);
        $j('#math_div_message').show();
    }
    $j("#science_div input.radioYes:checked").each(function(){     
        scienceradio+= Number($j(this).val());
    })
    $j("#science_div select").each(function(){     
        sciencedropdown+= Number($j(this).val());
    })
        var sciencetotal = scienceradio + sciencedropdown;
    if(sciencetotal > 0 && (!$j('#science_accommodations').is(':checked'))) {
        $j('#science_accommodations').prop('checked', true);
        $j('#science_div_message').show();
    }
    
// when ela/math/science is checked unchecked
  $j("#ela_accommodations").on('change', function() {
     if($j(this).is(':checked')) {
       $j('#ela_div').show();
     	}
	 else if($j(this).prop('checked')===false && $j('#ela_div .error-message').is(":visible")) {
         $j('#ela_accommodations').prop('checked', true);
		alert('Please correct errors in ELA accommodations before unchecking the accommodations checkbox and submitting');
     	}
      else {
      $j('#ela_div').hide();
      }
	});
   $j("#math_accommodations").on('change', function() {
     if($j(this).is(':checked')) {
       $j('#math_div').show();
     	}
	 else if($j(this).prop('checked')===false && $j('#math_div .error-message').is(":visible")) {
         $j('#math_accommodations').prop('checked', true);
		alert('Please correct errors in math accommodations before unchecking the accommodations checkbox and submitting');
     	}
      else {
      $j('#math_div').hide();
      }
	});
   $j("#science_accommodations").on('change', function() {
     if($j(this).is(':checked')) {
       $j('#science_div').show();
     	}
	 else if($j(this).prop('checked')===false && $j('#science_div .error-message').is(":visible")) {
         $j('#science_accommodations').prop('checked', true);
		alert('Please correct errors in science accommodations before unchecking the accommodations checkbox and submitting');
     	}
      else {
      $j('#science_div').hide();
      }
	});
    $j("#ela_accommodations, #math_accommodations, #science_accommodations").trigger('change');
    setTimeout(function(){
        $j("#PARCC_ELA_Human_Reader, #PARCC_Math_Human_Reader, #IAR_Sci_Human_Reader").trigger('change');
    }, 1000);
// highlight obsolete values
    $j("option:selected:contains('obsolete')").closest("select").after('<div class="alertError">This is an obsolete value and should be changed</div>');
    
//IAR validation update on change 
    $j('#PARCC_ELA_Test_Format, #PARCC_Math_Test_Format, #IAR_Sci_Paper_Trans_yes, #IAR_Sci_Paper_Trans_no, #ela_div input, #math_div input, #science_div input, #ela_div select, #math_div select, #science_div select').on('change', PARCCvalAll);

}); // end on ready